<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: MPU6050 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classMPU6050-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MPU6050 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Driver for the MPU6050 accelerometer and gyroscope.  
 <a href="classMPU6050.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="MPU6050_8h_source.html">MPU6050.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7c0146d45537e4bd7a0d4c1c476fdab7"><td class="memItemLeft" align="right" valign="top"><a id="a7c0146d45537e4bd7a0d4c1c476fdab7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#a7c0146d45537e4bd7a0d4c1c476fdab7">MPU6050</a> ()</td></tr>
<tr class="memdesc:a7c0146d45537e4bd7a0d4c1c476fdab7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct an MPU6050 handler. <br /></td></tr>
<tr class="separator:a7c0146d45537e4bd7a0d4c1c476fdab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a409a2158e89617da2d44c5f6ad93f388"><td class="memItemLeft" align="right" valign="top"><a id="a409a2158e89617da2d44c5f6ad93f388"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#a409a2158e89617da2d44c5f6ad93f388">~MPU6050</a> ()</td></tr>
<tr class="memdesc:a409a2158e89617da2d44c5f6ad93f388"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destory the class instance. <br /></td></tr>
<tr class="separator:a409a2158e89617da2d44c5f6ad93f388"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af173b8a978794d3e5586d828fc15f016"><td class="memItemLeft" align="right" valign="top"><a id="af173b8a978794d3e5586d828fc15f016"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#af173b8a978794d3e5586d828fc15f016">getAccelX</a> () const</td></tr>
<tr class="memdesc:af173b8a978794d3e5586d828fc15f016"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the X acceleration value. <br /></td></tr>
<tr class="separator:af173b8a978794d3e5586d828fc15f016"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1990ec4720e8c138e861fff892893de5"><td class="memItemLeft" align="right" valign="top"><a id="a1990ec4720e8c138e861fff892893de5"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#a1990ec4720e8c138e861fff892893de5">getAccelY</a> () const</td></tr>
<tr class="memdesc:a1990ec4720e8c138e861fff892893de5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Y acceleration value. <br /></td></tr>
<tr class="separator:a1990ec4720e8c138e861fff892893de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad060cf867a99f9d529cdee6bf849e767"><td class="memItemLeft" align="right" valign="top"><a id="ad060cf867a99f9d529cdee6bf849e767"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#ad060cf867a99f9d529cdee6bf849e767">getAccelZ</a> () const</td></tr>
<tr class="memdesc:ad060cf867a99f9d529cdee6bf849e767"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Z acceleration value. <br /></td></tr>
<tr class="separator:ad060cf867a99f9d529cdee6bf849e767"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab4b804199502c66690299271f4409aa"><td class="memItemLeft" align="right" valign="top"><a id="aab4b804199502c66690299271f4409aa"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#aab4b804199502c66690299271f4409aa">getGyroX</a> () const</td></tr>
<tr class="memdesc:aab4b804199502c66690299271f4409aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the X gyroscopic value. <br /></td></tr>
<tr class="separator:aab4b804199502c66690299271f4409aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b04cec99150129e5c6c430b98f6f69d"><td class="memItemLeft" align="right" valign="top"><a id="a9b04cec99150129e5c6c430b98f6f69d"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#a9b04cec99150129e5c6c430b98f6f69d">getGyroY</a> () const</td></tr>
<tr class="memdesc:a9b04cec99150129e5c6c430b98f6f69d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Y gyroscopic value. <br /></td></tr>
<tr class="separator:a9b04cec99150129e5c6c430b98f6f69d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4ac58031f862c260c7b8c9bd18db00b"><td class="memItemLeft" align="right" valign="top"><a id="af4ac58031f862c260c7b8c9bd18db00b"></a>
short&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#af4ac58031f862c260c7b8c9bd18db00b">getGyroZ</a> () const</td></tr>
<tr class="memdesc:af4ac58031f862c260c7b8c9bd18db00b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Z gyroscopic value. <br /></td></tr>
<tr class="separator:af4ac58031f862c260c7b8c9bd18db00b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a024dfc449b29fb0adac8455950b1010d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#a024dfc449b29fb0adac8455950b1010d">getMagnitude</a> ()</td></tr>
<tr class="memdesc:a024dfc449b29fb0adac8455950b1010d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the magnitude of the acceleration.  <a href="#a024dfc449b29fb0adac8455950b1010d">More...</a><br /></td></tr>
<tr class="separator:a024dfc449b29fb0adac8455950b1010d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5913e4a643511aae3c8a7f407cac86e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#a5913e4a643511aae3c8a7f407cac86e4">init</a> (gpio_num_t sdaPin=<a class="el" href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a>, gpio_num_t clkPin=<a class="el" href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a>)</td></tr>
<tr class="memdesc:a5913e4a643511aae3c8a7f407cac86e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the MPU6050.  <a href="#a5913e4a643511aae3c8a7f407cac86e4">More...</a><br /></td></tr>
<tr class="separator:a5913e4a643511aae3c8a7f407cac86e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4e58ad436a52f96e7172e7081fe9afb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#ad4e58ad436a52f96e7172e7081fe9afb">readAccel</a> ()</td></tr>
<tr class="memdesc:ad4e58ad436a52f96e7172e7081fe9afb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read the acceleration value from the device.  <a href="#ad4e58ad436a52f96e7172e7081fe9afb">More...</a><br /></td></tr>
<tr class="separator:ad4e58ad436a52f96e7172e7081fe9afb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2514ae2158f5b87c8267242077ddd0ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMPU6050.html#a2514ae2158f5b87c8267242077ddd0ec">readGyro</a> ()</td></tr>
<tr class="memdesc:a2514ae2158f5b87c8267242077ddd0ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read the gyroscopic values from the device.  <a href="#a2514ae2158f5b87c8267242077ddd0ec">More...</a><br /></td></tr>
<tr class="separator:a2514ae2158f5b87c8267242077ddd0ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Driver for the MPU6050 accelerometer and gyroscope. </p>
<p>The MPU6050 uses I2C as the communication between the master and the slave. The class stores the last read values as class instance local data. The data can be retrieved from the class using the appropriate getters. The <a class="el" href="classMPU6050.html#ad4e58ad436a52f96e7172e7081fe9afb" title="Read the acceleration value from the device.">readAccel()</a> and <a class="el" href="classMPU6050.html#a2514ae2158f5b87c8267242077ddd0ec" title="Read the gyroscopic values from the device.">readGyro()</a> methods cause communication with the device to retrieve and locally hold the values from the device.</p>
<p>A call to <a class="el" href="classMPU6050.html#a5913e4a643511aae3c8a7f407cac86e4" title="Initialize the MPU6050.">init()</a> must precede all other API calls. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a024dfc449b29fb0adac8455950b1010d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a024dfc449b29fb0adac8455950b1010d">&#9670;&nbsp;</a></span>getMagnitude()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t MPU6050::getMagnitude </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the magnitude of the acceleration. </p>
<p>Since acceleration is a vector quantity, it has both direction and magnitude. This method returns the currently known magnitude of the last read data.</p>
<dl class="section return"><dt>Returns</dt><dd>The magnitude of the acceleration. </dd></dl>

</div>
</div>
<a id="a5913e4a643511aae3c8a7f407cac86e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5913e4a643511aae3c8a7f407cac86e4">&#9670;&nbsp;</a></span>init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MPU6050::init </td>
          <td>(</td>
          <td class="paramtype">gpio_num_t&#160;</td>
          <td class="paramname"><em>sdaPin</em> = <code><a class="el" href="classI2C.html#a4d371d14b0fcae3b20f22ee8254536b8">I2C::DEFAULT_SDA_PIN</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpio_num_t&#160;</td>
          <td class="paramname"><em>clkPin</em> = <code><a class="el" href="classI2C.html#aece11572688a31925150176f2241e956">I2C::DEFAULT_CLK_PIN</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize the MPU6050. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">sdaPin</td><td>The GPIO pin to use for I2C SDA. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">clkPin</td><td>The GPIO pin to use for I2C CLK.</td></tr>
  </table>
  </dd>
</dl>
<p>This method must be called before any other methods. </p>

</div>
</div>
<a id="ad4e58ad436a52f96e7172e7081fe9afb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4e58ad436a52f96e7172e7081fe9afb">&#9670;&nbsp;</a></span>readAccel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MPU6050::readAccel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read the acceleration value from the device. </p>
<p>Calling this method results in communication with the device to retrieve the acceleration data that is then stored in the class instance ready for retrieval. </p>

</div>
</div>
<a id="a2514ae2158f5b87c8267242077ddd0ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2514ae2158f5b87c8267242077ddd0ec">&#9670;&nbsp;</a></span>readGyro()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MPU6050::readGyro </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read the gyroscopic values from the device. </p>
<p>Calling this method results in communication with the device to retrieve the gyroscopic data that is then stored in the class instance ready for retrieval. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="MPU6050_8h_source.html">MPU6050.h</a></li>
<li>MPU6050.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
